# Package org.firebirdsql.jna.embedded.spi

Defines a service provider interface to obtain Firebird Embedded library files from the class path.

See also `FirebirdEmbeddedProvider`.

This feature is defined in jdp-2020-05: Firebird Embedded locator service provider.

Since:
  5
Author:
  Mark Rotteveel

Interface Summary
DisposableFirebirdEmbeddedLibrary: Firebird Embedded library that needs to be disposed on exit.
FirebirdEmbeddedLibrary: Identifies a Firebird Embedded library that Jaybird can use.
FirebirdEmbeddedProvider: Service provider interface to identify a Firebird Embedded library.

Exception Summary
FirebirdEmbeddedLoadingException: Exception to signal errors when loading or identifying a Firebird Embedded library.